﻿using System.ServiceModel;

namespace ContractFirst.Contract
{
    [ServiceContract]
    public interface IExpenseApproval
    {
        // request approval for a purchase. Returns the purchaseId
        [OperationContract]
        int RequestApproval(string employeeId, string description, double amount);

        // manager approval for a purchase operation (purchaseId should be used as correlation key)
        [OperationContract]
        void ManagerApproval(int purchaseId, bool approved, string comments);
    }
}