﻿using System;
using System.Activities;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace Microsoft.Samples.Activities
{
    public class WaitForInput<T>: NativeActivity<T>
    {
        [DefaultValue(null)]
        public string BookmarkName { get; set; }

        protected override bool CanInduceIdle
        {
            get { return true; }
        }

        protected override void Execute(NativeActivityContext context)
        {
            context.CreateBookmark(this.BookmarkName, Continue);
        }

        void Continue(NativeActivityContext context, Bookmark bookmark, object state)
        {
            Result.Set(context, state);
        }
    }   
}
